Subject: Re: [PATCH v2 0/3] e1000e,igb,ixgbe: add registers etc. printout code just before resetting adapters

From: Taku Izumi <[email-masked]>
Date: Fri, 19 Feb 2010 17:16:56 +0900

Hi Jesse,

> I have a counter proposal to make, here is a (incomplete) patch that we
> use all the time to debug tx hangs.  This example is for e1000e.  We are
> trying to avoid changes with other users' copyright to some of the files
> in our drivers so that we can ship them under multiple license.  We would
> much prefer something like this to be used, can you review?

  I haven't understood yet about the reason we have to avoid changing some
  files. Are there any files (header files?) we can't modify?

Best regards,
Taku Izumi